local QR_Ver="2.41"

local frame = CreateFrame("Frame");
frame:SetScript("OnEvent", function() QRepair(event,arg1,arg2,arg3); end);
frame:RegisterEvent("MERCHANT_SHOW");

function QRepair(event,arg1,arg2,arg3)
	if (event == "MERCHANT_SHOW") then
		if (CanMerchantRepair()) then
			repairAllCost, canRepair = GetRepairAllCost()
			if (canRepair) then
				local playerMoney = GetMoney()
				if (repairAllCost > playerMoney) then
					local shortageAmt = repairAllCost - playerMoney
					local amount = string.format("|c00FFFF66%2dg", shortageAmt/10000)..string.format("|c00C0C0C0%2ds", string.sub(shortageAmt,-4)/100)..string.format("|c00CC9900%2dc", string.sub(shortageAmt,-2)).."|r"
					PlaySound("igQuestLogAbandonQuest")
					DEFAULT_CHAT_FRAME:AddMessage("|c00FFFF66QuickRepair v"..QR_Ver.."|r: ".."I'm sorry, you need another "..amount.." for full repairs.")
				else
					local amount = string.format("|c00FFFF66%2dg", repairAllCost/10000)..string.format("|c00C0C0C0%2ds", string.sub(repairAllCost,-4)/100)..string.format("|c00CC9900%2dc", string.sub(repairAllCost,-2)).."|r"
					PlaySound("ITEM_REPAIR")
					RepairAllItems()
					DEFAULT_CHAT_FRAME:AddMessage("|c00FFFF66QuickRepair v"..QR_Ver.."|r: All items were repaired for "..amount)
				end
			end
		end
	end
	
end
